Page MenuHomePhabricator

Make FreeBSD and NetBSD use CLANG_DEFAULT_CXX_STDLIB
ClosedPublic

Authored by Hahnfeld on Feb 16 2016, 1:15 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

Hahnfeld updated this revision to Diff 48049.Feb 16 2016, 1:15 AM
Hahnfeld retitled this revision from to Make FreeBSD and NetBSD use CLANG_DEFAULT_CXX_STDLIB.
Hahnfeld updated this object.
Hahnfeld added reviewers: rsmith, t.p.northover.
Hahnfeld added a subscriber: cfe-commits.
dim added subscribers: joerg, dim.Feb 29 2016, 8:48 AM

LGTM, at least. @emaste, @joerg, OK with you too?

joerg added a comment.Feb 29 2016, 9:04 AM

I dislike the value default, since with CLANG_DEFAULT_CXX_STDLIB it is not. Otherwise, it should be fine.

I dislike the value default, since with CLANG_DEFAULT_CXX_STDLIB it is not. Otherwise, it should be fine.

Hmm, had this feeling as well... What about -stdlib=test as I only plan to use this for the tests that require it?

I was thinking about something like -stdlib=platform to reflect that it is the target choice.

I was thinking about something like -stdlib=platform to reflect that it is the target choice.

Ah yes, that was the term I was missing, architecture wasn't actually correct

Hahnfeld updated this revision to Diff 49459.Feb 29 2016, 11:52 PM
Hahnfeld updated this object.

Rename option to -stdlib=platform

More comments on this?

Thanks, Jonas

dim accepted this revision.Mar 10 2016, 12:30 PM
dim added a reviewer: dim.

If nobody objects, I will commit this.

This revision is now accepted and ready to land.Mar 10 2016, 12:30 PM
In D17286#372290, @dim wrote:

If nobody objects, I will commit this.

I can do so myself but would would like to hear from @joerg first

Seems fine to me

This revision was automatically updated to reflect the committed changes.